Main Page Widgets Namespaces Book

# Gtk::RecentManagerError Class Reference

Inheritance diagram for Gtk::RecentManagerError:

[legend]
List of all members.

## Detailed Description

Exception class for Gtk::RecentManager errors.

## Public Types

enum | Code { NOT_FOUND, INVALID_URI, INVALID_MIME, INVALID_ENCODING, NOT_REGISTERED, BAD_EXEC_STRING, READ, WRITE, UNKNOWN }

## Public Member Functions

Code | code () const
| RecentManagerError (GError* gobject)
| RecentManagerError (Code error_code, const Glib::ustring& error_message)

## Member Enumeration Documentation

enum Gtk::RecentManagerError::Code

Enumerator:

  NOT_FOUND |
  INVALID_URI |
  INVALID_MIME |
  INVALID_ENCODING |
  NOT_REGISTERED |
  BAD_EXEC_STRING |
  READ |
  WRITE |
  UNKNOWN |

## Constructor & Destructor Documentation

Gtk::RecentManagerError::RecentManagerError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |

Gtk::RecentManagerError::RecentManagerError | ( | GError* | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gtk::RecentManagerError::code | ( |  | ) | const

| Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- recentmanager.h